Skip navigation

HT1443: What is an OS X reference release?

Learn about What is an OS X reference release?

HT1443 upgrade from 10.4.11

1195 Views 7 Replies Latest reply: Oct 18, 2012 1:47 PM by Limnos RSS
alialoe Calculating status...
Currently Being Moderated
Oct 11, 2012 2:34 AM

I want to upgrade my imac which currently runs on 10.4.11, but I'm concerned about my applications and documents running on a newer OS. I have fairly old programmes: Illustrator 12, Photoshop CS2, Microsoft Word 11.6, Dreamweaver 8.

What is the best way to back up my existing hard drive?

Many thanks

iMac, Mac OS X (10.4.11)
  • AnaMusic Level 9 Level 9 (55,295 points)
    Currently Being Moderated
    Oct 11, 2012 2:36 AM (in response to alialoe)

    Create a Bootable Clone Backup of your current Hard Drive...

     

    SuperDuper  http://www.shirt-pocket.com/

     

    or CCC  http://www.bombich.com/

  • Neville Hillyer Level 4 Level 4 (1,845 points)
    Currently Being Moderated
    Oct 18, 2012 9:31 AM (in response to alialoe)

    1 - Backup whole disk to an external with Carbon Copy Cloner and make sure it is readable

     

    2 - Partition internal disk into two volumes - this will probably erase the whole disk

     

    3 - Install Leopard onto one volume

     

    4 - Reinstate Tiger from backup on other volume

     

    5 - If an application fails to work on Leopard you can boot into Tiger volume

     

    This is what I have done - I also have OS 9 on a third volume.

  • Limnos Level 8 Level 8 (36,685 points)
    Currently Being Moderated
    Oct 18, 2012 10:04 AM (in response to alialoe)

    A quick search for the various applications you mention suggests they all date from around 2005.  You don't say anything about which computer you run (apart from "iMac" which covers about 30 different models spanning 15 years) nor to which system you would like to update.  I suspect you could update to OSX 10.5 or even OSX 10.6 and still see functionality. If wanting to do either of those I would post your question on the appropriate forum since they are the ones who have done this and can tell you if they had to buy new software.

     

    You can set up a dual boot computer but frankly it is a nuisance and you have to know how to work with one in that configuration (not opening up certain files such as iTunes libraries).  I set up my computer as dual boot years ago but to be honest I have never booted into the alternative operating system.  In the long run we all have to face the fact that our computers are getting old.  It is up to you if you want to gradually update or do it all at once when your computer dies and the next one you get requires you update everything, hardware and software, all at once.

  • Klaus1 Level 8 Level 8 (43,485 points)
    Currently Being Moderated
    Oct 18, 2012 10:31 AM (in response to alialoe)

    You can upgrade all the way BUT you will need to upgrade most if not all of your applications as well.

     

    Whilst Apple have withdrawn Snow Leopard from their stores, you can still get it from Apple by calling 1-800-MY-APPLE (if you are in the USA) and they will supply the SL DVD for $20 for a single user, or $30 for a family pack that covers up to 5 Macs.  You can also purchase the code to use to download Lion from the same number (Lion requires an Intel-based Mac with a Core 2 Duo, i3, i5, i7 or Xeon processor and 2GB of RAM, running the latest version of Snow Leopard), or you can purchase Mountain Lion from the App Store - if you can run that:

     

    http://www.apple.com/osx/specs/

     

    If you are outside the US call your national Apple Helpline:

     

    http://support.apple.com/kb/HE57

     

    If you're in the UK, use this number: 0871 508 4400

     

    When you have installed it, run Software Update to download and install the latest updates for Snow Leopard.

     

    To use iCloud you have to upgrade all the way to Mountain Lion:

     

    http://support.apple.com/kb/HT4759

  • Neville Hillyer Level 4 Level 4 (1,845 points)
    Currently Being Moderated
    Oct 18, 2012 12:19 PM (in response to alialoe)

    This looks like an iMac (late 2006) introduced September 2006 and terminated August 2007 with a minimum OS of 10.4.7 and a maximum OS of 10.7.5.

  • Limnos Level 8 Level 8 (36,685 points)
    Currently Being Moderated
    Oct 18, 2012 1:47 PM (in response to alialoe)

    I would upgrade to Snow Leopard.  It will be much newer than what have now, although still on its way out according to Apple.  At least it is still seeing some support (such as the latest iTunes).  However, it is old enough that it should still run your older software.  Scan this list:

     

    A Mac OS X 10.6 Snow Leopard Application Compatibility List - http://snowleopard.wikidot.com/

     

    You're at the low end for RAM (memory).  While within the minimum specifications for Snow Leopard, when Apple says minimum it really means it.  Most people run SL with at least twice that and you should consider putting in more should you ever wish to upgrade further.  You might as well do it now and have a supremely happy Mac until you're at the minimum for some future upgrade.

Actions

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.